Subject: Re: [PATCH 2/4] dt-bindings: iio: timer: Convert stm32 IIO trigger bindings to json-schema

From: Jonathan Cameron <[email-masked]>
Date: Sat, 9 Nov 2019 12:43:01 +0000

On Wed, 6 Nov 2019 17:35:20 -0600
Rob Herring <[email-masked]> wrote:

> On Wed, Nov 6, 2019 at 1:52 PM Benjamin GAIGNARD
> <[email-masked]> wrote:
> >
> >
> > On 11/6/19 5:06 AM, Rob Herring wrote:  
> > > On Tue, Nov 05, 2019 at 11:07:16AM +0100, Benjamin Gaignard wrote:  
> > >> Le dim. 3 nov. 2019 à 12:08, Jonathan Cameron <[email-masked]> a écrit :  
> > >>> On Thu, 31 Oct 2019 13:30:38 +0100
> > >>> Benjamin Gaignard <[email-masked]> wrote:
> > >>>  
> > >>>> Convert the STM32 IIO trigger binding to DT schema format using json-schema
> > >>>>
> > >>>> Signed-off-by: Benjamin Gaignard <[email-masked]>  
> > >>> I'm far from great on these as still haven't taken the time I should to learn
> > >>> the yaml syntax properly.  A few comments inline however based mostly on this
> > >>> doesn't quite look like other ones I've seen recently.
> > >>>
> > >>> Thanks,
> > >>>
> > >>> Jonathan
> > >>>  
> > >>>> ---
> > >>>>   .../bindings/iio/timer/st,stm32-timer-trigger.yaml | 44 ++++++++++++++++++++++
> > >>>>   .../bindings/iio/timer/stm32-timer-trigger.txt     | 25 ------------
> > >>>>   2 files changed, 44 insertions(+), 25 deletions(-)
> > >>>>   create mode 100644 Documentation/devicetree/bindings/iio/timer/st,stm32-timer-trigger.yaml
> > >>>>   delete mode 100644 Documentation/devicetree/bindings/iio/timer/stm32-timer-trigger.txt
> > >>>>
> > >>>> diff --git a/Documentation/devicetree/bindings/iio/timer/st,stm32-timer-trigger.yaml b/Documentation/devicetree/bindings/iio/timer/st,stm32-timer-trigger.yaml
> > >>>> new file mode 100644
> > >>>> index 000000000000..1c8c8b55e8cd
> > >>>> --- /dev/null
> > >>>> +++ b/Documentation/devicetree/bindings/iio/timer/st,stm32-timer-trigger.yaml
> > >>>> @@ -0,0 +1,44 @@
> > >>>> +# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
> > >>>> +%YAML 1.2
> > >>>> +---
> > >>>> +$id: http://devicetree.org/schemas/iio/timer/st,stm32-timer-trigger.yaml#
> > >>>> +$schema: http://devicetree.org/meta-schemas/core.yaml#
> > >>>> +
> > >>>> +title: STMicroelectronics STM32 Timers IIO timer bindings
> > >>>> +
> > >>>> +maintainers:
> > >>>> +  - Benjamin Gaignard <[email-masked]>
> > >>>> +  - Fabrice Gasnier <[email-masked]>
> > >>>> +
> > >>>> +properties:
> > >>>> +  $nodemane:  
> > >>> nodename?  
> > >> That will be in v2  
> > > No, $nodename is correct. The '$' signifies something we generate and
> > > add in. IOW, not a real property. I guess we could have used 'name' here
> > > and stuck with traditional OpenFirmware.  
> > let's go for $name  
> 
> No, $nodename is correct. You don't have a choice. That is what the
> tooling generates.

Sorry all, I caused confusion here.  Was just trying to point out the typo!
$node_m_ane

:)

> Rob

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel